Meta Platform Technologies SDK License Agreement
Effective date: October 25, 2022

Copyright © Meta Platform Technologies, LLC and its affiliates. All rights reserved.

The text of this may be found at: https://developer.oculus.com/licenses/oculussdk/

This Meta Platforms Technologies SDK License Agreement, formerly known as the Oculus SDK License Agreement, (“Agreement”) is a legal agreement between you and MPT (defined below) governing your use of our MPT Software Development Kit, formerly known as the Oculus Software Developer Kit. MPT Software Development Kit means any application programming interfaces (“APIs”), tools, plugins, code, technology, specification, documentation, Platform Services, and/or content made available by us to others, including app developers and content providers (collectively, the “SDK”).

By downloading or using our SDK, you are agreeing to this Agreement along with other applicable terms and conditions such as the additional terms or documents accompanying the SDK and the Terms of Service, and acknowledging our Privacy Policy (collectively, the “Terms”). If you use the SDK as an interface to, or in conjunction with other MPT products or services, then the terms for those other products or services also apply.

Here, "MPT" means Meta Platforms Technologies, LLC, formerly known as Facebook Technologies, LLC (formerly known as Oculus VR, LLC), a Delaware limited liability company with its principal place of business at 1 Hacker Way, Menlo Park, California 94025, United States unless set forth otherwise. We may also refer to MPT as "we", "our", or "us" in this Agreement.

You may not use the SDK and may not accept this Agreement if (1) you are a person with whom MPT is prohibited from transacting business under applicable law, or (2) you are a person barred from using or receiving the SDK by MPT or under the applicable laws of the United States or other countries including the country in which you are resident or from which you use the SDK. If you are using the SDK on behalf of an entity, you represent and warrant that you have authority to bind that entity to this Agreement and by accepting this Agreement, you are doing so on behalf of that entity (and all references to "you" in this Agreement refer to that entity).

This Agreement requires the resolution of most disputes between you and MPT by binding arbitration on an individual basis; class actions and jury trials are not permitted.

1. License Grant
1.1 License. Subject to the Terms and the restrictions set forth in this Agreement, MPT hereby grants you a limited, royalty-free, non-exclusive, non-transferrable, non-sublicensable (except as otherwise set forth in this Agreement), revocable copyright license (“License”) during the term of this Agreement to use and reproduce the SDK solely to develop, test, and/or distribute your Application (defined below) and to enable you and/or your end users to access MPT features through your Application. You may only use the SDK to develop Applications in connection with MPT approved hardware and software products (“MPT Approved Products”) unless the documentation accompanying the SDK expressly authorizes broader use such as with other third-party platforms.

1.1.1 If the SDK includes any libraries, sample source code, or other materials that we make available specifically for incorporation in your Application (as indicated by applicable documentation), you may incorporate those materials and reproduce and distribute them as part of your Application, including by distributing those materials to third parties contributing to your Application.

1.1.2 The SDK may include other content (e.g., sample code) that is for demonstration, reference, or other purposes and is subject to terms and conditions included with such materials. Such materials will be clearly marked in the applicable documentation. Absent such additional terms and conditions, you may modify, distribute, and sublicense any sample source made available as part of the SDK pursuant to this Agreement and the Terms.

1.1.3 The SDK may include MPT content that is subject to your additional right to display the content to your end users through the use of the corresponding SDK, as contemplated by the documentation accompanying such SDK. For example, the SDK may include avatars that you may display to your end users.

1.2 General Restrictions. The License grant in this Section is solely for the purpose of developing, testing, and promoting your engines, tools, applications, content, games and demos, or other products and features (collectively, “Application”) and providing you and/or your end users access to MPT services and features through your Application as contemplated by applicable documentation accompanying the SDK. You may not (or allow those acting on your behalf to):

1.2.1 modify or create derivative works from any SDK or its component (other than sample source code described in this Section or expressly authorized by the documents accompanying the SDK);

1.2.2 misrepresent or mask either your identity or your Application's identity when using the SDK or developer accounts;

1.2.3 attempt to circumvent any limitations implemented within or documented with the SDK (e.g., limiting the number of requests you may make, end users you may serve, or processing abstracted gaze data or abstracted facial expressions data for prohibited uses under the Developer Data Use Policy);

1.2.4 reverse engineer, decompile, disassemble, or otherwise attempt to extract the source code from the SDK, except to the extent that applicable law expressly permits such actions despite this limitation;

1.2.5 alter, restrict, or interfere with the normal operation or functionality of the SDK, the MPT hardware or software, or MPT Approved Products, including, but not limited to: (a) the behavior of the “Meta Quest button” and “XBox button” implemented by the MPT system software; (b) any on-screen messages or information; (c) the behavior of the proximity sensor in the MPT hardware implemented by the MPT system software; (d) any MPT hardware or software security features; (e) any end user's settings; and (f) Health and Safety Warnings;

1.2.6 use the SDK or your Application in a manner that violates: (a) the Developer Data Use Policy (where applicable); (b) the Content Guidelines, or other applicable terms and policies made available on our Developer Policy portal; (c) any rights of MPT, its affiliates or third parties; (d) applicable laws (such as laws regarding import, export, privacy, health & safety); or (e) other terms of service with MPT or its affiliates;

1.2.7 remove, obscure, or alter any Terms or any links to or notices of those Terms; or

1.2.8 use or redistribute the SDK or any portion thereof in any manner that would cause the SDK (or any portion thereof) or MPT to become subject to the terms of any open source license or other restrictions.

1.3 Distribution and Sublicense Restrictions. The redistribution and sublicense rights under this Section are further subject to the following restrictions: (1) redistribution of sample source code or other materials must include the following copyright notice: “Copyright © Meta Platform Technologies, LLC and its affiliates. All rights reserved;” and (2) if the sample source code or other materials include a "License" or "Notice" text file, you must provide a copy of the License or Notice file with the sample code.

1.4 Privacy and Security.

1.4.1 You are responsible for the data collection, processing and disclosure by your Application and agree to comply with all applicable privacy and data protection laws, as well as our applicable terms and policies, particularly the Developer Data Use Policy. You represent and warrant that you have provided robust and sufficiently prominent notice to users regarding (i) data processing that includes, at a minimum, that third parties, including MPT and its affiliates, may collect or receive information from your Application, and (ii) any other information required to be disclosed to users by applicable privacy and data protection laws. You represent and warrant that you will not back up or make available to the Cloud Backup feature any information that you know or reasonably should know (a) is from or about children under the age of 13, or (b) includes data concerning health, financial information, or other categories of sensitive information (including any information defined as special or sensitive under applicable laws, regulations, and applicable industry guidelines).

For purposes of the GDPR, you acknowledge and agree that you are a separate and independent controller of the Developer User Data (as defined in the MPT Developer Data Use Policy) and Meta Platforms Ireland Ltd. (an affiliate of MPT) is a separate and independent controller for any processing of personal data, except as provided in Section 1.4.3, including the MPT User Data (as defined in the MPT Developer Data Use Policy). The parties do not and will not process Developer User Data or MPT User Data as joint controllers. Each party shall comply with the obligations that apply to it as a controller under the GDPR, and each party shall be individually and separately responsible for its own compliance.

1.4.3 Notwithstanding the foregoing, where (a) we process Developer User Data that contains personal data to (i) store, host or otherwise backup Developer User Data through Cloud Backup; (ii) provide and operate the Spatial Audio VoIP API; (iii) or provide other services described in the Data Processing Terms (the “Services”), and (b) (i) our processing of such personal data is subject to the GDPR, you instruct Meta Platforms Ireland Ltd. to process such personal data in order to provide the Services pursuant to this Agreement and the Data Processing Terms, which are incorporated herein by reference, including for product improvement for your benefit and to anonymize the data so that it is no longer Personal Data for the purposes of GDPR, and you understand and agree that we may retain such anonymized metadata for our own legitimate purposes, including improvement and development of the Services; or (ii) such personal data is considered “personal information,” “personal data,” “personally identifiable information” or similar terms and is subject to the California Consumer Privacy Act of 2018 (“CCPA”), or other applicable privacy and data protection laws (excluding the GDPR), we will only retain, use and disclose such personal data for the purposes of providing those Services to you and improving those Services on your behalf or as otherwise permitted by the CCPA and such other applicable privacy and data protection laws.

1.4.4 “Personal data,” “controller,” “processor,” and “process” in this Section 1.4 have the meanings set out in the Data Processing Terms.

1.5 You have no obligations under this Agreement to license or make available your Application to MPT, its affiliates, or any third parties. Nothing in this Agreement obligates MPT or its affiliates to enable you or any of your Applications to access, interact with, or retrieve or publish content to the Meta VR platform or any other MPT platforms or service. However, MPT and/or its affiliates may require you to agree to additional terms as a condition of providing you with such platform services in connection with your use of the SDK. You acknowledge and agree that MPT and its affiliates may develop products or services that may compete with your Application or any other products or services of yours.

1.6 Experimental Features. From time to time, MPT may, in its sole discretion, make available to you as part of the MPT Software Development Kit, certain experimental, test or beta software, APIs or features on a limited or test basis (“Experimental Features”). Experimental Features can only be used for experimental or testing purposes and cannot be incorporated into a production build unless (i) the Experimental Feature has been released or included in MPT software production builds or (ii) otherwise permitted by MPT in writing. Your use of any Experimental Feature is voluntary. You agree that all use of any Experimental Feature is at your sole risk. You agree that once you use an Experiment Feature, your content, data and/or systems may be affected, and you may be unable to revert back to a prior version of the same or similar feature. Additionally, if such reversion is possible, you may not be able to return or restore data created or transferred using the Experimental Feature back to the prior version. The Experimental Features may not work in the same way as a final production version. MPT and its affiliates make no representations or warranties that the Experimental Features will function or be free from errors. The Experimental Features are provided on an “as is” basis and may contain errors or inaccuracies that could cause failures, corruption or loss of data and information from any connected device or service. MPT and its affiliates have no obligation to correct bugs, defects, or errors or otherwise support or maintain Experimental Features. MPT and its affiliates may discontinue, update, modify or remove access to any Experimental Feature at any time in its sole discretion, and may not release a final version of an Experimental Feature in its sole discretion.

1.7 Medical & HIPAA Use Restrictions. The SDK in association with MPT Approved Products is not intended to be a medical device unless otherwise specified in writing by MPT. The use of the SDK is not intended to create, and should not be interpreted as creating, any obligations to MPT under the Health Insurance Portability and Accountability Act of 1996, the Health Information Technology for Economic and Clinical Health Act, or their implementing regulations, as amended (collectively “HIPAA”), and MPT makes no representations that the SDK satisfies HIPAA requirements. If you are or become a “Covered Entity”, “Business Associate”, “Subcontractor”, or a “Workforce” member of a Covered Entity, Business Associate, or Subcontractor (as those terms are defined at 45 C.F.R. § 160.103), you agree not to use the SDK to create, receive, maintain or transmit any “Protected Health Information” (as that term is defined at 45 C.F.R. § 160.103) in any manner that would make MPT (or any of its affiliates and subsidiaries) your or any third party’s Business Associate or Subcontractor Business Associate. You are solely responsible for any applicable HIPAA compliance obligations.

2. Meta VR Platform Services
MPT and/or its affiliates makes certain Platform Services (defined below) available to you to include and enable in your Application on our Platform. An Application that enables or includes any Platform Service must implement the Meta VR Platform Framework (defined below) with the Application. Once your Application has been authorized for use of the Platform Services, you are not required to update your Application to include new Platform Services that MPT and/or its affiliates may make available as part of the Meta VR Platform Framework. For more information, please visit https://developer.oculus.com.

2.1 For the purpose of this Section,

2.1.1 “Application Services” means services provided by MPT and/or its affiliates associated with the Platform, including, but not limited to, in-app purchasing, multiplayer matchmaking, friends, leader boards, achievements, Virtual Reality Real Time Systems (“VERTS”), voice over IP and Cloud Backup, which list may be changed from time to time in MPT's or its affiliates’ sole discretion.

2.1.2 "Meta VR Platform Framework" means the suite of Meta VR platform services, including, but not limited to, the MPT file distribution and update system (enabling distribution and updates of Applications by MPT and/or its affiliates, including through generated activation Keys), entitlement system, and account authentication, which list may be changed from time to time in MPT or its affiliates’ sole discretion.

2.1.3 "Platform" means the virtual, mixed, and augmented reality platform made available by MPT and/or its affiliates, including, but not limited to, the user experience, user interface, store, and social features, usable on hardware approved by MPT or its affiliates or any third-party device or operating system, including, but not limited to, iOS, Android, Windows, OS X, Linux, and Windows Mobile.

2.1.4 "Platform Services" means the Meta VR Platform Framework and the Application Services.

2.2 Key Provision and Redemption. If you request that MPT generate activation keys for your Application on the Platform ("Keys") and MPT agrees, you hereby grant MPT and its affiliates (1) the right to generate Keys for you and (2) a license to make available, reproduce, distribute, perform, and display the Application to end users who have submitted a Key to MPT or its affiliates. MPT agrees to authenticate and make the Application available to any end user supplying a valid Key (or have its affiliates do so) (unless the Application has been removed or withdrawn).

2.3 Platform Services Requirements. You will not make any use of any API, software, code or other item or information supplied by MPT or its affiliates in connection with the Platform Services other than to enhance the functionality of your Application. In particular, you must not (nor enable others to): (1) defame, abuse, harass, stalk, or threaten others, or to promote or facilitate any prohibited or illegal activities; (2) enable any functionality in your Application that would generate excessive traffic over the MPT network or servers that would negatively impact other users' experience, or otherwise interfere with or restrict the operation of the Platform Services, or MPT or its affiliates’ servers or networks providing the Platform Services; (3) remove, obscure, or alter any license terms, policies or terms of service or any links to or notices thereto provided by MPT or its affiliates; or (4) violate any rights of MPT, its affiliates, or any third parties. Notwithstanding anything to the contrary set forth in this Agreement, you may not sublicense any software, firmware or other item or information supplied by MPT or its affiliates in connection with the Platform Services for use by a third party, unless expressly authorized by MPT or its affiliates to do so. You agree not to use (or encourage the use of) the Platform Services for mission critical, life saving or ultra-hazardous activities. MPT or its affiliates may suspend operation of or remove any Application that does not comply with the restrictions in this Agreement.

2.4 Changes to Platform or Platform Services. MPT and/or its affiliates may change the Platform or the functionality of the Platform Services at any time, including discontinuing some of the functionality of the Platform Services, and your continued use of the Platform or Platform Services or use of any modified or additional Platform Services is conditioned upon your adherence to the terms of this Agreement, as modified by MPT or its affiliates from time to time.

3. Intellectual Property
3.1 Ownership. As between you and MPT, MPT and/or its affiliates or licensors own all rights, title, and interest, including all Intellectual Property Rights (defined below), in and to the SDK (including associated MPT content and sample code) and all derivatives thereof. MPT reserves all rights not expressly granted under the License. As between you and MPT, you and/or your licensors own all rights, title, and interest in and to your Application, (excluding our SDK), including all Intellectual Property Rights. “Intellectual Property Rights” means any and all worldwide rights under applicable laws of patent, copyright, trade secret, trademark, rights of publicity and privacy, and other proprietary rights.

3.2 Third-Party Materials. Our SDK may include third-party software offered under an open source license or third-party content subject to a separate third-party agreement. To the extent any of such third-party terms conflicts with this Agreement, such third-party terms will control solely with respect to such third-party software or content.

3.3 Feedback. If you provide comments, suggestions, recommendations, ideas, know-how or other feedback about our SDK or any other MPT or affiliate product or service, we (and our affiliates and those we allow) may use such information for any purposes without obligation to you and all intellectual property and other proprietary rights in any such feedback are deemed (and hereby) licensed to MPT (with the right to sublicense through multiple tiers) for any purpose on a perpetual, irrevocable, worldwide, paid-up,and royalty-free basis and may be used or disclosed for any purpose.

3.4 Brand Attribution. This Agreement does not grant you or any third party permission to use our trade names, trademarks, service marks, logos, domain names, and other distinctive brand features (collectively, “Brand Features”) except as required for reasonable and customary use in describing the origin of the SDK or reproduction of the copyright notice as required under the License grant. You will not use our SDK or make any statement regarding the SDK or your Application which suggests partnership with, sponsorship by, or endorsement by MPT, its affiliates or any of their employees, contractors, contributors, licensors, affiliates, or partners without our prior written permission.

4. Confidentiality
4.1 Confidentiality. Our communications to you and our SDK may contain MPT confidential information, which includes information that is marked confidential or that would normally be considered confidential under the circumstances. If you receive any such information, you will not disclose it to any third party without MPT prior written consent. MPT confidential information does not include information that you independently developed, that was rightfully given to you by a third party without a confidentiality obligation with regard to such information, or that becomes public through no fault of your own. You may disclose MPT confidential information when compelled to do so by law if you provide us reasonable prior notice, unless a court order prohibits such notice.

5. Termination
5.1 Termination. The term of this Agreement will begin on the date on which you click accept, download, or use the SDK or any of its components and will continue until terminated as set forth in this Agreement. MPT reserves the right to terminate this Agreement with you, or to discontinue or suspend the SDK or any portion or feature or your access thereto in the event you breach any material provisions of this Agreement or the Terms, without liability or other obligation to you.

5.2. Discontinuation of SDK. MPT reserves the right to discontinue all or part of the SDK at any time, in our sole discretion, without notice to you, and without liability or other obligation to you. This Agreement will terminate automatically and without notice to you in the event that the SDK is discontinued in its entirety.

5.3 Effect of Termination. Upon termination of this Agreement, you will immediately stop using, distributing, or otherwise making available the SDK and all Applications that incorporate the SDK or any of its components, cease all use of the Brand Features, and destroy or return any cached or stored content, software, or other materials obtained through our SDK.

5.4 Surviving Provisions. When this Agreement terminates, those terms that by their nature are intended to continue indefinitely will continue to apply, including, but not limited to, Section 3 (Intellectual Property), Section 4 (Confidentiality), Section 5 (Termination), Section 6 (Liability) and Section 7 (General Provisions).

6. Liability
6.1 Indemnification. Unless prohibited by applicable law, you will indemnify and (at MPT’s option), defend MPT, its affiliates and subsidiaries, and the agents, licensors, contributors, directors, officers, employees, suppliers, and distributors thereof (collectively, “MPT Parties”) against all liabilities, damages, losses, costs, fees (including legal fees), and expenses relating to any allegation or third-party legal proceeding arising from: (1) your use of the SDK, or any negligence or misconduct, by you or your employees, agents, vendors, or contractors (collectively “Developer Parties”); (2) any Developer Parties’ violation of this Agreement, Terms, or any applicable law and regulation; (3) any use of your Application; or (4) Developer User Data or MPT User Data (each defined in the Developer Data Use Policy).

6.2 WARRANTIES. EXCEPT AS EXPRESSLY SET OUT IN THE TERMS, THE SDK IS PROVIDED “AS IS” WITHOUT ANY SPECIFIC PROMISES, REPRESENTATIONS, GUARANTEES OR WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY COMMITMENTS ABOUT THE CONTENT ACCESSED THROUGH THE SDK, THE SPECIFIC FUNCTIONS OF THE SDK OR OUR PLATFORM SERVICES, OR THEIR RELIABILITY, AVAILABILITY, OR ABILITY TO MEET YOUR NEEDS. THE MPT PARTIES HEREBY DISCLAIM ANY IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. SOME JURISDICTIONS DO NOT PERMIT THE EXCLUSION OR LIMITATION OF IMPLIED WARRANTIES, SO YOU MAY HAVE ADDITIONAL RIGHTS.

6.3 LIMITATION OF LIABILITY. TO THE EXTENT PERMITTED BY APPLICABLE LAW, MPT PARTIES WILL NOT BE RESPONSIBLE FOR LOST PROFITS, BUSINESS OR GOODWILL, REVENUES, OR DATA; FINANCIAL LOSSES; OR INDIRECT, SPECIAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING AS A RESULT OF THIS AGREEMENT, USE OF THE SDK OR ANY MODIFIED SAMPLE CODE EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. YOU AGREE THAT YOUR REMEDIES UNDER THIS AGREEMENT ARE LIMITED SOLELY TO THE RIGHT TO COLLECT MONEY DAMAGES, IF ANY, AND YOU HEREBY WAIVE YOUR RIGHT TO SEEK INJUNCTIVE RELIEF OR OTHER EQUITABLE RELIEF. IF YOU ARE A CALIFORNIA RESIDENT, YOU AGREE TO WAIVE CALIFORNIA CIVIL CODE § 1542, WHICH SAYS: “A GENERAL RELEASE DOES NOT EXTEND TO CLAIMS THAT THE CREDITOR OR RELEASING PARTY DOES NOT KNOW OR SUSPECT TO EXIST IN HIS OR HER FAVOR AT THE TIME OF EXECUTING THE RELEASE, WHICH IF KNOWN BY HIM OR HER WOULD HAVE MATERIALLY AFFECTED HIS OR HER SETTLEMENT WITH THE DEBTOR OR RELEASED PARTY.” TO THE EXTENT PERMITTED BY LAW, THE CUMULATIVE, AGGREGATE LIABILITY OF MPT PARTIES, FOR ANY AND ALL CLAIMS ARISING UNDER THIS AGREEMENT OR ITS SUBJECT MATTER SHALL NOT EXCEED THE GREATER OF ONE HUNDRED US DOLLARS ($100) OR THE AMOUNT YOU HAVE PAID US IN THE PAST TWELVE MONTHS. IN ALL CASES, MPT PARTIES WILL NOT BE LIABLE FOR ANY EXPENSE, LOSS, OR DAMAGE THAT IS NOT REASONABLY FORESEEABLE.

7. General Provisions
7.1 Updates. We may need to update this Agreement from time to time, including to accurately reflect the access or uses of our SDK, and so we encourage you to check this Agreement regularly. By continuing to access or use our SDK after any notice of an update to this Agreement, you agree to be bound by them. Any updates to the Disputes section of this Agreement will apply only to disputes that arise after notice of the update takes place. If you do not agree to the updated terms, please stop all access or use of our SDK. You cannot sidestep your compliance obligations under an updated version of this Agreement by developing against an older release of the SDK or relying on the older Agreement and all updates to your application are subject to the modified Agreement.

7.2 Authorization. You hereby grant MPT and its contractors and affiliates the authorization reasonably necessary for MPT to exercise its rights and perform its obligations under this Agreement, including a limited, royalty-free, non-exclusive license to use, perform, and display the Application you provide to MPT for testing, evaluation, and approval purposes.

7.3 General Provisions. You and MPT are independent contractors with regard to each other. This Agreement does not create any third-party beneficiary rights or any agency, partnership, employment, or joint venture. We are not liable for failure or delay in performance to the extent caused by circumstances beyond our reasonable control. If you do not comply with this Agreement, and MPT does not take action right away or does not enforce any provision of this Agreement, this inaction or lack of enforcement will not act as a waiver by MPT of any rights that it may have (such as taking action in the future) or in any way affect the validity of this Agreement or parts thereof. If a particular provision of this Agreement is deemed unenforceable, it will be deemed modified to the minimum extent necessary to render it enforceable and most nearly reflect the intent of the original provision, and all other provisions in this Agreement shall remain in full force and effect. You may not assign or delegate this Agreement or any obligations under this Agreement without our advance written consent. Any such prohibited attempted assignment will be void. MPT may assign or delegate this Agreement and any of its rights or obligations under this Agreement without your consent or notice to you. This Agreement shall bind the parties and their respective heirs, successors, and permitted assigns. This Agreement is the entire agreement between you and MPT relating to the subject matter herein and supersede any prior or contemporaneous agreements on such subject matter.

7.4 Dispute Resolution.

7.4.1 If you reside outside the US or your business is located outside the US: You agree that any claim, cause of action, or dispute you have against us that arises out of or relates to any access or use of the SDK must be resolved exclusively in the U.S. District Court for the Northern District of California or a state court located in San Mateo County, that you submit to the personal jurisdiction of either of these courts for the purpose of litigating any such claim, and that the laws of the State of California will govern this Agreement and any such claim, without regard to conflict of law provisions.

7.4.2 If you reside in the US or your business is located in the US: You and we agree to arbitrate any claim, cause of action, or dispute between you and us that arises out of or relates to any access or use of the SDK for business or commercial purposes (“commercial claim”). This provision does not cover any commercial claims relating to violations of your or our intellectual property rights, including, but not limited to, copyright infringement, patent infringement, trademark infringement, violations of the brand guidelines, violations of your or our confidential information or trade secrets, or efforts to interfere with our products or engage with our products in unauthorized ways (for example, automated ways).

7.4.3 We and you agree that, by entering into this arbitration provision all parties are waiving their respective rights to a trial by jury or to participate in a class or representative action. THE PARTIES AGREE THAT EACH MAY BRING COMMERCIAL CLAIMS AGAINST THE OTHER ONLY IN ITS INDIVIDUAL CAPACITY, AND NOT AS A PLAINTIFF OR CLASS MEMBER IN ANY PURPORTED CLASS, REPRESENTATIVE, OR PRIVATE ATTORNEY GENERAL PROCEEDING. You may bring a commercial claim only on your own behalf and cannot seek relief that would affect other parties. If there is a final judicial determination that any particular commercial claim (or a request for particular relief) cannot be arbitrated in accordance with this paragraph’s limitations, then only that commercial claim (or only that request for relief) may be brought in court. All other commercial claims (or requests for relief) remain subject to this paragraph.

7.4.4 The Federal Arbitration Act governs the interpretation and enforcement of this arbitration provision. All issues are for an arbitrator to decide, except that only a court may decide issues relating to the scope or enforceability of this arbitration provision or the interpretation of the prohibition of class and representative actions.

7.4.5 If any party intends to seek arbitration of a dispute, that party must provide the other party with notice in writing.

7.4.6 The arbitration will be governed by the AAA’s Commercial Arbitration Rules (“AAA Rules”), as modified by this Agreement, and will be administered by the AAA. If the AAA is unavailable, the parties will agree to another arbitration provider or the court will appoint a substitute. The arbitrator will not be bound by rulings in other arbitrations in which you are not a party. To the fullest extent permitted by applicable law, any evidentiary submissions made in arbitration will be maintained as confidential in the absence of good cause for its disclosure. The arbitrator’s award will be maintained as confidential only to the extent necessary to protect either party’s trade secrets or proprietary business information or to comply with a legal requirement mandating confidentiality. Each party will be responsible for paying any AAA filing, administrative and arbitrator fees in accordance with AAA Rules, except that we will pay for your filing, administrative, and arbitrator fees if your commercial claim for damages does not exceed $75,000 and is non-frivolous (as measured by the standards set forth in Federal Rule of Civil Procedure 11(b)).

7.4.7 If you do not wish to be bound by this provision (including its waiver of class and representative claims), you must notify us as set forth below within 30 days of the first acceptance date of any version of this Agreement containing an arbitration provision. Your notice to us under this subsection must be submitted to the address here: Meta Platforms Technologies, LLC, 1 Hacker Way, Menlo Park, California 94025

7.4.8 All commercial claims between us, whether subject to arbitration or not, will be governed by California law, excluding California’s conflict of laws rules, except to the extent that California law is contrary to or preempted by federal law.

7.4.9 If a commercial claim between you and us is not subject to arbitration, you agree that the claim must be resolved exclusively in the U.S. District Court for the Northern District of California or a state court located in San Mateo County, and that you submit to the personal jurisdiction of either of these courts for the purpose of litigating any such claim.

7.4.10 If any provision of this dispute resolution provision is found unenforceable, that provision will be severed and the balance of the dispute resolution provision will remain in full force and effect.
